dnl PSW_CHECK_STAT_SIZEOF(TYPE [, CROSS-SIZE])
AC_DEFUN(PSW_CHECK_STAT_SIZEOF,
[changequote(<<, >>)dnl
dnl The name to #define.
define(<<PSW_TYPE_NAME>>, translit(sizeof_stat_$1, [a-z *], [A-Z_P]))dnl
dnl The cache variable name.
define(<<PSW_CV_NAME>>, translit(ac_cv_sizeof_$1, [ *], [_p]))dnl
changequote([, ])dnl
AC_MSG_CHECKING(size of struct stat's $1)
AC_CACHE_VAL(PSW_CV_NAME,
[AC_TRY_RUN([#include <sys/types.h>
#include <sys/stat.h>
#include <stdio.h>
main()
{
  struct stat sb;
  FILE *f=fopen("conftestval", "w");
  if (!f) exit(1);
  fprintf(f, "%d\n", sizeof(sb.$1));
  exit(0);
}], PSW_CV_NAME=`cat conftestval`, PSW_CV_NAME=0, ifelse([$2], , , PSW_CV_NAME=$2))
])dnl
AC_MSG_RESULT($PSW_CV_NAME)
AC_DEFINE_UNQUOTED(PSW_TYPE_NAME, $PSW_CV_NAME)
undefine([PSW_TYPE_NAME])dnl
undefine([PSW_CV_NAME])dnl
])
